# Delete an inventory warehouse

Products
            Plans
          
        
        
          
            
              
              Formerly ShipEngine
            
            
              Free
              Advanced
              Enterprise
            
          
          
            
              
            
            
              Free
              Starter
              Standard
              Premium
            
          
        
      
      
        
          Learn about products and plans
          
        
      
    

Deletes an inventory warehouse. The request fails if the warehouse has on-hand inventory, unless you set the remove_inventory query parameter to 1 to remove all of its inventory in the same request.

Endpoint: DELETE /v2/inventory_warehouses/{inventory_warehouse_id}
Version: 2.0.0
Security: api_keys

## Path parameters:

  - `inventory_warehouse_id` (string, required)

## Query parameters:

  - `remove_inventory` (string)
    If 1, remove all inventory from the warehouse before deleting it.
If 0 or missing and the warehouse has On Hand inventory, the request will fail.
    Enum: "0", "1"


## Response 204 fields
